<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionBatchProcessingTypeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionBatchProcessingType">
        <id column="id" property="id" />
        <result column="operation_time" property="operationTime" />
        <result column="operator" property="operator" />
        <result column="production_date" property="productionDate" />
        <result column="original_production_type" property="originalProductionType" />
        <result column="new_production_type" property="newProductionType" />
        <result column="original_processing_type" property="originalProcessingType" />
        <result column="new_processing_type" property="newProcessingType" />
        <result column="variety" property="variety" />
        <result column="grade" property="grade" />
        <result column="white_strip_number_range_start" property="whiteStripNumberRangeStart" />
        <result column="white_strip_number_range_end" property="whiteStripNumberRangeEnd" />
        <result column="white_strip_number_search_condition" property="whiteStripNumberSearchCondition" />
        <result column="animal_identification" property="animalIdentification" />
        <result column="selected_white_strip_production_type" property="selectedWhiteStripProductionType" />
        <result column="selected_white_strip_processing_type" property="selectedWhiteStripProcessingType" />
        <result column="selected_white_strip_record_number" property="selectedWhiteStripRecordNumber" />
        <result column="selected_white_strip_number" property="selectedWhiteStripNumber" />
        <result column="production_deduction_before" property="productionDeductionBefore" />
        <result column="production_deduction_after" property="productionDeductionAfter" />
        <result column="procurement_deduction_before" property="procurementDeductionBefore" />
        <result column="procurement_deduction_after" property="procurementDeductionAfter" />
        <result column="weight_before" property="weightBefore" />
        <result column="weight_after" property="weightAfter" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
